<template>
	<view>
		<view class="login__info tn-flex tn-flex-direction-column tn-flex-col-center tn-flex-row-center">
			<!-- <view
				class="login__info__item__input tn-flex tn-flex-direction-row tn-flex-nowrap tn-flex-col-center tn-flex-row-left">
				<view class="login__info__item__input__content">
					<input maxlength="500" v-model="jobID" focus="true" placeholder-class="input-placeholder"
						@input="jobIDInput" placeholder="请输入交接工单" />
				</view>
			</view> -->
			<view
				class="login__info__item__input tn-flex tn-flex-direction-row tn-flex-nowrap tn-flex-col-center tn-flex-row-left">
				<view class="login__info__item__input__content">
					<input maxlength="500" v-model="barcode" focus="true" placeholder-class="input-placeholder"
						@input="barcodeInput" placeholder="请扫描车轮号" />
				</view>
			</view>
			<!-- <view
				class="login__info__item__input tn-flex tn-flex-direction-row tn-flex-nowrap tn-flex-col-center tn-flex-row-left">
				<view class="login__info__item__input__content">
					<input  maxlength="500" v-model="cacheName"  placeholder-class="input-placeholder"
						@click="cacheshow=true" placeholder="请选择缓存架编号" />
					<u-picker v-model="cacheshow" mode="selector" :range="selectorCache" range-key="cateName"
						@confirm="cacheConfirm"></u-picker>
				</view>
			</view> -->
			<!-- <view
				class="login__info__item__input tn-flex tn-flex-direction-row tn-flex-nowrap tn-flex-col-center tn-flex-row-left">
				<view class="login__info__item__input__content">
					<input  maxlength="500" v-model="stationName"  placeholder-class="input-placeholder"
						@click="stationshow=true" placeholder="请选择下料口" />
					<u-picker v-model="stationshow" mode="selector" :range="selectorStation" range-key="cateName"
						@confirm="stationConfirm"></u-picker>
				</view>
			</view> -->
			<view class="login__info__item__button tn-cool-bg-color-7--reverse" @tap="submitCheek()"
				hover-class="tn-hover" :hover-stay-time="150">信息核对</view>
			<!--<view :class="istrue?'isnone':'isnonone'">
				<view class="login__info__item__button tn-cool-bg-color-7--reverse" @tap="submitTransfer()"
					hover-class="tn-hover" :hover-stay-time="150" style="margin-top: 0px;">入缓存架</view>
			</view>-->
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				jobID: '',
				barcode: '',
				cacheNo: '',
				cacheName: '',
				stationNo: '',
				stationName: '',
				barcode2:'',
				istrue: true,
				cacheshow: false,
				stationshow: false,
				selectorCache: [{
						cateName: '1号缓存架',
						id: 1
					},
					{
						cateName: '2号缓存架',
						id: 2
					},
					{
						cateName: '3号缓存架',
						id: 3
					},
					{
						cateName: '4号缓存架',
						id: 4
					},
					{
						cateName: '5号缓存架',
						id: 5
					},
					{
						cateName: '6号缓存架',
						id: 6
					}
				],
				selectorStation: [{
						cateName: 'B区正极投料口',
						id: "DepThreeForZJYJ"
					},
					{
						cateName: 'B区负极投料口',
						id: "DepThreeForFJYJ"
					}
				]
			}
		},
		methods: {
			///工单号
			jobIDInput: function(e) {
				this.jobID = e.detail.value;
				console.log(this.jobID);
			},
			///条码
			barcodeInput: function(e) {
				//this.from_address = e.detail.value;
				this.$u.post("/api/Towms/GetStation", {
					MainData: {
						from_address: this.barcode,
						//to_address:this.to_address,
						//creator: uni.getStorageSync('jo_user').userName
					}
				}).then(res => {
					console.log(res)
					if (res.status) {
						this.barcode2=this.barcode;
						this.barcode = res.code;
						//this.istrue = false;
						//this.$t.message.toast(res.code);
					} else {
						this.istrue = true;
						this.$t.message.toast(res.message);
					}
				}).catch(err => {
				
				})
			},
			//缓存架编号
			cacheConfirm(e) {
				let x = this.selectorCache[e];
				this.cacheName = x.cateName
				this.cacheNo = x.id
			},
			//下料口
			stationConfirm(e) {
				let x = this.selectorStation[e];
				this.stationName = x.cateName
				this.stationNo = x.id
			},
			//MES信息校验
			submitCheek() {
				if (this.barcode == '') {
					this.$t.message.toast('条码不能为空');
					return
				}
				// else if (this.stationNo == '') {
				// 	this.$t.message.toast('下料口不能为空');
				// 	return
				// }

				// console.log(ip);
				this.$u.post("api/ToWms/agvTransferList", {
					MainData: {
						sn: this.barcode2,
						jobID: this.jobID,
						// cacheNo: this.cacheNo,
						// address: this.stationNo,
						creator: uni.getStorageSync('jo_user').userName,
						//targetWorkshop:"1"
					}
				}).then(res => {
					if (res.status) {
						this.barcode = '',
						this.istrue = false;
						this.$t.message.toast('移库外协,请等待AGV取货');
					} else {
						this.istrue = true;
						this.$t.message.toast(res.message);
					}
				}).catch(err => {

				})
			},
			//送至一楼
			submitTransfer() {
				if (this.barcode == '') {
					this.$t.message.toast('条码不能为空');
					return
				} else if (this.cacheNo == '') {
					this.$t.message.toast('缓存架编号不能为空');
					return
				}
				this.stationNo = "DepThreeForZJYJ";
				this.$u.post("/api/ToWCS/SendFirstFloor", {
					MainData: {
						dataSN: this.barcode,
						cacheNo: this.cacheNo,
						address: this.stationNo,
						creator: uni.getStorageSync('jo_user').userName
					}
				}).then(res => {
					if (res.status) {
						this.barcode = '',
							this.cacheNo = '',
							this.cacheName = '',
							this.stationNo = '',
							this.stationName = '',
							this.istrue = true;
						this.$t.message.toast('送至一楼成功，请按提升机下发按钮');
					} else {
						this.$t.message.toast(res.message);
					}
				}).catch(err => {

				})
			},
			stop() {
				// setInterval(function() {
				// 	uni.hideKeyboard(); //隐藏软键盘  
				// },5);
			},

		},
		onLoad() {
			let _self = this;
			_self.stop()
		}

	}
</script>

<style lang="scss" scoped>
	.isnone {
		display: none;
		width: 100%;
	}

	.isnonone {
		width: 100%;
	}

	// @import '@/static/css/templatePage/custom_nav_bar.scss';
	/* 悬浮 */
	.rocket-sussuspension {
		animation: suspension 3s ease-in-out infinite;
	}

	@keyframes suspension {

		0%,
		100% {
			transform: translate(0, 0);
		}

		50% {
			transform: translate(-0.8rem, 1rem);
		}
	}

	.login {
		position: relative;
		height: 100%;
		z-index: 1;

		/* 背景图片 start */
		&__bg {
			z-index: -1;
			position: fixed;

			&--top {
				top: 0;
				left: 0;
				right: 0;
				width: 100%;

				.bg {
					width: 750rpx;
					will-change: transform;
				}

				.rocket {
					margin: 50rpx 28%;
					width: 400rpx;
					will-change: transform;
				}
			}

			&--bottom {
				bottom: -10rpx;
				left: 0;
				right: 0;
				width: 100%;
				// height: 144px;
				margin-bottom: env(safe-area-inset-bottom);

				image {
					width: 750rpx;
					will-change: transform;
				}
			}
		}

		/* 背景图片 end */

		/* 内容 start */
		&__wrapper {
			margin-top: 403rpx;
			width: 100%;
		}

		/* 切换 start */
		&__mode {
			position: relative;
			margin: 0 auto;
			width: 476rpx;
			height: 77rpx;
			background-color: #FFFFFF;
			box-shadow: 0rpx 10rpx 50rpx 0rpx rgba(0, 3, 72, 0.1);
			border-radius: 39rpx;

			&__item {
				height: 77rpx;
				width: 100%;
				line-height: 77rpx;
				text-align: center;
				font-size: 31rpx;
				color: #908f8f;
				letter-spacing: 1em;
				text-indent: 1em;
				z-index: 2;
				transition: all 0.4s;

				&--active {
					font-weight: bold;
					color: #FFFFFF;
				}
			}

			&__slider {
				position: absolute;
				height: inherit;
				width: calc(476rpx);
				border-radius: inherit;
				box-shadow: 0rpx 18rpx 72rpx 18rpx rgba(0, 195, 255, 0.1);
				z-index: 1;
				transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
			}
		}

		/* 切换 end */

		/* 登录注册信息 start */
		&__info {
			margin: 0 30rpx;
			margin-top: 105rpx;
			padding: 30rpx 51rpx;
			padding-bottom: 0;
			border-radius: 20rpx;
			background-color: #ffff;
			box-shadow: 0rpx 10rpx 50rpx 0rpx rgba(0, 3, 72, 0.1);

			&__item {

				&__input {
					margin-top: 59rpx;
					width: 100%;
					height: 100rpx;
					border: 1rpx solid #E6E6E6;
					border-radius: 39rpx;

					&__left-icon {
						width: 10%;
						font-size: 44rpx;
						margin-left: 20rpx;
						color: #AAAAAA;
					}

					&__content {
						width: 80%;
						padding-left: 10rpx;

						&--verify-code {
							width: 56%;
						}

						input {
							font-size: 48rpx;
							// letter-spacing: 0.1em;
						}
					}

					&__right-icon {
						width: 10%;
						font-size: 44rpx;
						margin-right: 20rpx;
						color: #AAAAAA;
					}

					&__right-verify-code {
						width: 34%;
						margin-right: 20rpx;
					}
				}

				&__button {
					margin-top: 75rpx;
					margin-bottom: 39rpx;
					width: 100%;
					height: 77rpx;
					text-align: center;
					font-size: 48rpx;
					font-weight: bold;
					line-height: 77rpx;
					letter-spacing: 1em;
					text-indent: 1em;
					border-radius: 39rpx;
					box-shadow: 1rpx 10rpx 24rpx 0rpx rgba(60, 129, 254, 0.35);
				}

				&__tips {
					margin: 30rpx 0;
					color: #AAAAAA;
				}
			}
		}

		/* 登录注册信息 end */

		/* 登录方式切换 start */
		&__way {
			margin: 0 auto;
			margin-top: 110rpx;

			&__item {
				&--icon {
					width: 77rpx;
					height: 77rpx;
					font-size: 50rpx;
					border-radius: 100rpx;
					margin-bottom: 18rpx;
					position: relative;
					z-index: 1;

					&::after {
						content: " ";
						position: absolute;
						z-index: -1;
						width: 100%;
						height: 100%;
						left: 0;
						bottom: 0;
						border-radius: inherit;
						opacity: 1;
						transform: scale(1, 1);
						background-size: 100% 100%;
						background-image: url(https://tnuiimage.tnkjapp.com/cool_bg_image/icon_bg5.png);
					}
				}
			}
		}

		/* 登录方式切换 end */
		/* 内容 end */

	}

	/deep/.input-placeholder {
		font-size: 24rpx;
		color: #E6E6E6;
	}
</style>